List Remote Check Deposits
curl --request GET \
--url https://api.synctera.com/v2/rdc/deposits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/rdc/deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/rdc/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deposits": [
{
"date_captured": "2010-05-06T12:23:34.321Z",
"date_processed": "2010-05-06T12:23:34.321Z",
"deposit_amount": 12345,
"id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"status": "FAILED",
"account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"back_image_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"check_amount": 12345,
"deposit_currency": "USD",
"front_image_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"creation_time": "2010-05-06T12:23:34.321Z",
"file_loc_identifier": "<string>",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"matching_declined_check": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"matching_pending_check": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"matching_submitted_check": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"ocr_account_number": "123456789",
"ocr_check_number": "001",
"ocr_routing_number": 26009593,
"transaction_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
},
"business_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"metadata": {},
"person_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"tenant": "abcdef_ghijkl"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Remote Check Deposit (beta)
List Remote Check Deposits
Retrieves a paginated list of the deposits made using remote deposit capture associated with an account
GET
/
rdc
/
deposits
List Remote Check Deposits
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Case insensitive wildcard search for raw_checkalt_status, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Response
List of deposits made with remote deposit capture
Was this page helpful?

